## org.cybergarage.upnp.xml
Class ServiceData

    java.lang.Object
      org.cybergarage.upnp.xml.NodeData
          org.cybergarage.upnp.xml.ServiceData

    public class ServiceData

extends NodeData

Constructor Summary
`ServiceData()`

Method Summary
`ListenerList` `getControlActionListenerList()`
`Node` `getSCPDNode()`
`String` `getSID()`
`SubscriberList` `getSubscriberList()`
`long` `getTimeout()`
`void` `setSCPDNode(Node node)`
`void` `setSID(String id)`
`void` `setTimeout(long value)`

Methods inherited from class org.cybergarage.upnp.xml.NodeData
`getNode, setNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceData

    public ServiceData()

Method Detail

### getControlActionListenerList

    public ListenerList getControlActionListenerList()

### getSCPDNode

    public Node getSCPDNode()

### setSCPDNode

    public void setSCPDNode(Node node)

### getSubscriberList

    public SubscriberList getSubscriberList()

### getSID

    public String getSID()

### setSID

    public void setSID(String id)

### getTimeout

    public long getTimeout()

### setTimeout

    public void setTimeout(long value)